mail/policyd-weight - The NetBSD Packages Collection

Weighted policy daemon for postfix

policyd-weight is a Perl policy daemon for the Postfix MTA (2.1 and later)
intended to eliminate forged envelope senders and HELOs (i.e. in bogus mails).
It allows you to score DNSBLs (RBL/RHSBL), HELO, MAIL FROM and client IP
addresses before any queuing is done. It allows you to REJECT messages which
have a score higher than allowed, providing improved blocking of spam and
virus mails. policyd-weight caches the most frequent client/sender
combinations (SPAM as well as HAM) to reduce the number of DNS queries.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

net/p5-Net-DNS lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfpolicyd-weight-0.1.14.17nb9.tgz
NetBSD 8.0earmv7hfpolicyd-weight-0.1.14.17nb9.tgz
NetBSD 8.0earmv7hfpolicyd-weight-0.1.14.17nb9.tgz
NetBSD 8.0earmv7hfpolicyd-weight-0.1.14.17nb10.tgz
NetBSD 8.0i386policyd-weight-0.1.14.17nb9.tgz
NetBSD 8.0i386policyd-weight-0.1.14.17nb9.tgz
NetBSD 8.0i386policyd-weight-0.1.14.17nb9.tgz
NetBSD 8.0i386policyd-weight-0.1.14.17nb10.tgz
NetBSD 8.0powerpcpolicyd-weight-0.1.14.17nb9.tgz
NetBSD 8.0powerpcpolicyd-weight-0.1.14.17nb9.tgz
NetBSD 8.0powerpcpolicyd-weight-0.1.14.17nb9.tgz
NetBSD 8.0powerpcpolicyd-weight-0.1.14.17nb10.tgz
NetBSD 8.0powerpcpolicyd-weight-0.1.14.17nb10.tgz
NetBSD 8.0x86_64policyd-weight-0.1.14.17nb9.tgz
NetBSD 8.0x86_64policyd-weight-0.1.14.17nb9.tgz
NetBSD 8.0x86_64policyd-weight-0.1.14.17nb9.tgz
NetBSD 8.0x86_64policyd-weight-0.1.14.17nb10.tgz
NetBSD 9.0aarch64policyd-weight-0.1.14.17nb10.tgz
NetBSD 9.0aarch64policyd-weight-0.1.14.17nb9.tgz
NetBSD 9.0aarch64policyd-weight-0.1.14.17nb9.tgz
NetBSD 9.0aarch64policyd-weight-0.1.14.17nb9.tgz
NetBSD 9.0alphapolicyd-weight-0.1.14.17nb10.tgz
NetBSD 9.0alphapolicyd-weight-0.1.14.17nb9.tgz
NetBSD 9.0earmv6hfpolicyd-weight-0.1.14.17nb10.tgz
NetBSD 9.0earmv6hfpolicyd-weight-0.1.14.17nb9.tgz
NetBSD 9.0earmv6hfpolicyd-weight-0.1.14.17nb9.tgz
NetBSD 9.0earmv6hfpolicyd-weight-0.1.14.17nb9.tgz
NetBSD 9.0earmv6hfpolicyd-weight-0.1.14.17nb9.tgz
NetBSD 9.0earmv7hfpolicyd-weight-0.1.14.17nb10.tgz
NetBSD 9.0earmv7hfpolicyd-weight-0.1.14.17nb9.tgz
NetBSD 9.0earmv7hfpolicyd-weight-0.1.14.17nb9.tgz
NetBSD 9.0earmv7hfpolicyd-weight-0.1.14.17nb9.tgz
NetBSD 9.0earmv7hfpolicyd-weight-0.1.14.17nb9.tgz
NetBSD 9.0earmv7hfpolicyd-weight-0.1.14.17nb9.tgz
NetBSD 9.0earmv7hfpolicyd-weight-0.1.14.17nb10.tgz
NetBSD 9.0i386policyd-weight-0.1.14.17nb9.tgz
NetBSD 9.0i386policyd-weight-0.1.14.17nb9.tgz
NetBSD 9.0i386policyd-weight-0.1.14.17nb9.tgz
NetBSD 9.0i386policyd-weight-0.1.14.17nb10.tgz
NetBSD 9.0mips64ebpolicyd-weight-0.1.14.17nb10.tgz
NetBSD 9.0mips64ebpolicyd-weight-0.1.14.17nb9.tgz
NetBSD 9.0mips64ebpolicyd-weight-0.1.14.17nb9.tgz
NetBSD 9.0mips64ebpolicyd-weight-0.1.14.17nb9.tgz
NetBSD 9.0powerpcpolicyd-weight-0.1.14.17nb10.tgz
NetBSD 9.0powerpcpolicyd-weight-0.1.14.17nb9.tgz
NetBSD 9.0powerpcpolicyd-weight-0.1.14.17nb9.tgz
NetBSD 9.0powerpcpolicyd-weight-0.1.14.17nb9.tgz
NetBSD 9.0powerpcpolicyd-weight-0.1.14.17nb10.tgz
NetBSD 9.0sparc64policyd-weight-0.1.14.17nb10.tgz
NetBSD 9.0sparc64policyd-weight-0.1.14.17nb9.tgz
NetBSD 9.0sparcpolicyd-weight-0.1.14.17nb10.tgz
NetBSD 9.0sparcpolicyd-weight-0.1.14.17nb9.tgz
NetBSD 9.0sparcpolicyd-weight-0.1.14.17nb9.tgz
NetBSD 9.0x86_64policyd-weight-0.1.14.17nb9.tgz
NetBSD 9.0x86_64policyd-weight-0.1.14.17nb10.tgz
NetBSD 9.0x86_64policyd-weight-0.1.14.17nb9.tgz
NetBSD 9.0x86_64policyd-weight-0.1.14.17nb10.tgz
NetBSD 9.0x86_64policyd-weight-0.1.14.17nb9.tgz
NetBSD 9.0x86_64policyd-weight-0.1.14.17nb9.tgz
NetBSD 9.0x86_64policyd-weight-0.1.14.17nb9.tgz
NetBSD 9.0x86_64policyd-weight-0.1.14.17nb10.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.